matrix:
  platform:
  - rockylinux8
  - debian10
  - ubuntu2004
  - macos
  bazel:
  - 7.x
  - 8.x
  - 9.*

tasks:
  unix_build:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++17'
    build_targets:
    - '@re2//:re2'
    - '@re2//python:re2'
  windows_build:
    platform: windows
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=/std:c++17'
    build_targets:
    - '@re2//:re2'
    - '@re2//python:re2'

bcr_test_module:
  module_path: '.'
  matrix:
    platform:
    - rockylinux8
    - debian10
    - ubuntu2004
    - macos
    - windows
    bazel:
    - 7.x
    - 8.x
  tasks:
    unix_test:
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_flags:
      - '--cxxopt=-std=c++17'
      test_targets:
      - '//:small_tests'
      - '//python:all'
    windows_test:
      platform: windows
      bazel: ${{ bazel }}
      test_flags:
      - '--cxxopt=/std:c++17'
      test_targets:
      - '//:small_tests'
      - '//python:all'
